Skip to main content
GET
List user transactions

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
limit
enum<integer>
default:10

Number of results per page

Available options:
10,
20,
50
status
string

Filter by transaction status

Example:

"COMPLETED"

type
string

Filter by transaction type

Example:

"TRADE"

currency
enum<string>

Filter by currency

Available options:
USD,
EUR,
ARS,
MXN,
USDC,
USDT,
BOB,
COP,
PEN,
DOP,
BRL,
PHP,
CLP,
GTQ,
PAB,
CRC
Example:

"USD"

from_date
string<date>

Start date of range (format: Y-m-d)

Example:

"2024-01-01"

to_date
string<date>

End date of range (format: Y-m-d)

Example:

"2024-12-31"

from_amount
number

Minimum amount filter

Required range: x >= 0
Example:

100

to_amount
number

Maximum amount filter

Required range: x >= 0
Example:

1000

Response

List of transactions

data
object